class MixVisionTransformer(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  layers : __torch__.mmcv.runner.base_module.___torch_mangle_166.ModuleList
  def forward(self: __torch__.mmseg.models.backbones.mit.MixVisionTransformer,
    img: Tensor) -> Tuple[Tensor, Tensor, Tensor, Tensor]:
    layers = self.layers
    _3 = getattr(layers, "3")
    _2 = getattr(_3, "2")
    layers0 = self.layers
    _30 = getattr(layers0, "3")
    _1 = getattr(_30, "1")
    _10 = getattr(_1, "1")
    layers1 = self.layers
    _31 = getattr(layers1, "3")
    _11 = getattr(_31, "1")
    _0 = getattr(_11, "0")
    layers2 = self.layers
    _32 = getattr(layers2, "3")
    _00 = getattr(_32, "0")
    layers3 = self.layers
    _20 = getattr(layers3, "2")
    _21 = getattr(_20, "2")
    layers4 = self.layers
    _22 = getattr(layers4, "2")
    _12 = getattr(_22, "1")
    _13 = getattr(_12, "1")
    layers5 = self.layers
    _23 = getattr(layers5, "2")
    _14 = getattr(_23, "1")
    _01 = getattr(_14, "0")
    layers6 = self.layers
    _24 = getattr(layers6, "2")
    _02 = getattr(_24, "0")
    layers7 = self.layers
    _15 = getattr(layers7, "1")
    _25 = getattr(_15, "2")
    layers8 = self.layers
    _16 = getattr(layers8, "1")
    _17 = getattr(_16, "1")
    _18 = getattr(_17, "1")
    layers9 = self.layers
    _19 = getattr(layers9, "1")
    _110 = getattr(_19, "1")
    _03 = getattr(_110, "0")
    layers10 = self.layers
    _111 = getattr(layers10, "1")
    _04 = getattr(_111, "0")
    layers11 = self.layers
    _05 = getattr(layers11, "0")
    _26 = getattr(_05, "2")
    layers12 = self.layers
    _06 = getattr(layers12, "0")
    _112 = getattr(_06, "1")
    _113 = getattr(_112, "1")
    layers13 = self.layers
    _07 = getattr(layers13, "0")
    _114 = getattr(_07, "1")
    _08 = getattr(_114, "0")
    layers14 = self.layers
    _09 = getattr(layers14, "0")
    _010 = getattr(_09, "0")
    _27, _28, _7, _4, _29, _5, _6, _33, _8, _9, _34, _35, _36, = (_010).forward(img, )
    _37 = (_08).forward(_27, _28, _7, _4, _29, _5, _6, )
    _38 = (_113).forward(_37, _28, _7, _33, _8, _9, _34, )
    _39 = (_26).forward(_38, )
    B = ops.prim.NumToTensor(torch.size(_39, 0))
    _40 = int(B)
    C = ops.prim.NumToTensor(torch.size(_39, 2))
    _41 = int(C)
    input = torch.reshape(torch.transpose(_39, 1, 2), [_40, _41, _35, _36])
    _42, _43, _44, _45, _46, _47, _48, _49, _50, _51, _52, _53, _54, = (_04).forward(input, )
    _55 = (_03).forward(_42, _43, _44, _45, _46, _47, _48, )
    _56 = (_18).forward(_55, _43, _44, _49, _50, _51, _52, )
    _57 = (_25).forward(_56, )
    B0 = ops.prim.NumToTensor(torch.size(_57, 0))
    _58 = int(B0)
    C0 = ops.prim.NumToTensor(torch.size(_57, 2))
    _59 = int(C0)
    input0 = torch.reshape(torch.transpose(_57, 1, 2), [_58, _59, _53, _54])
    _60, _61, _62, _63, _64, _65, _66, _67, _68, _69, _70, _71, _72, = (_02).forward(input0, )
    _73 = (_01).forward(_60, _61, _62, _63, _64, _65, _66, )
    _74 = (_13).forward(_73, _61, _62, _67, _68, _69, _70, )
    _75 = (_21).forward(_74, )
    B1 = ops.prim.NumToTensor(torch.size(_75, 0))
    _76 = int(B1)
    C1 = ops.prim.NumToTensor(torch.size(_75, 2))
    _77 = int(C1)
    input1 = torch.reshape(torch.transpose(_75, 1, 2), [_76, _77, _71, _72])
    _78, _79, _80, _81, _82, _83, _84, _85, _86, = (_00).forward(input1, )
    _87 = (_0).forward(_78, _79, _80, _81, _82, )
    _88 = (_10).forward(_87, _79, _80, _83, _84, )
    _89 = (_2).forward(_88, )
    B2 = ops.prim.NumToTensor(torch.size(_89, 0))
    _90 = int(B2)
    C2 = ops.prim.NumToTensor(torch.size(_89, 2))
    _91 = int(C2)
    input2 = torch.reshape(torch.transpose(_89, 1, 2), [_90, _91, _85, _86])
    return (input, input0, input1, input2)
class TransformerEncoderLayer(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  norm1 : __torch__.torch.nn.modules.normalization.___torch_mangle_0.LayerNorm
  attn : __torch__.mmseg.models.backbones.mit.EfficientMultiheadAttention
  norm2 : __torch__.torch.nn.modules.normalization.___torch_mangle_2.LayerNorm
  ffn : __torch__.mmseg.models.backbones.mit.MixFFN
  def forward(self: __torch__.mmseg.models.backbones.mit.TransformerEncoderLayer,
    argument_1: Tensor,
    argument_2: Tensor,
    argument_3: Tensor,
    argument_4: int,
    argument_5: int,
    argument_6: int,
    argument_7: int) -> Tensor:
    ffn = self.ffn
    norm2 = self.norm2
    attn = self.attn
    norm1 = self.norm1
    _68 = (attn).forward((norm1).forward(argument_1, ), argument_2, argument_3, argument_4, argument_5, argument_1, )
    _69 = (ffn).forward((norm2).forward(_68, ), argument_2, argument_3, argument_6, argument_7, _68, )
    return _69
class EfficientMultiheadAttention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  attn : __torch__.torch.nn.modules.activation.MultiheadAttention
  proj_drop : __torch__.torch.nn.modules.dropout.Dropout
  dropout_layer : __torch__.mmcv.cnn.bricks.drop.DropPath
  sr : __torch__.mmcv.cnn.bricks.wrappers.Conv2d
  norm : __torch__.torch.nn.modules.normalization.___torch_mangle_1.LayerNorm
  def forward(self: __torch__.mmseg.models.backbones.mit.EfficientMultiheadAttention,
    argument_1: Tensor,
    argument_2: Tensor,
    argument_3: Tensor,
    argument_4: int,
    argument_5: int,
    argument_6: Tensor) -> Tensor:
    dropout_layer = self.dropout_layer
    proj_drop = self.proj_drop
    attn = self.attn
    norm = self.norm
    sr = self.sr
    B = ops.prim.NumToTensor(torch.size(argument_1, 0))
    _70 = int(B)
    C = ops.prim.NumToTensor(torch.size(argument_1, 2))
    _71 = int(C)
    input = torch.reshape(torch.transpose(argument_1, 1, 2), [_70, _71, argument_4, argument_5])
    _72 = torch.flatten((sr).forward(input, ), 2)
    input3 = torch.contiguous(torch.transpose(_72, 1, 2))
    _73 = (norm).forward(input3, )
    query = torch.transpose(argument_1, 0, 1)
    value = torch.transpose(_73, 0, 1)
    input4 = torch.transpose((attn).forward(query, value, ), 0, 1)
    _74 = (proj_drop).forward(input4, )
    _75 = (dropout_layer).forward()
    return torch.add(argument_6, _74)
class MixFFN(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  activate : __torch__.torch.nn.modules.activation.GELU
  layers : __torch__.mmcv.runner.base_module.Sequential
  dropout_layer : __torch__.mmcv.cnn.bricks.drop.___torch_mangle_9.DropPath
  def forward(self: __torch__.mmseg.models.backbones.mit.MixFFN,
    argument_1: Tensor,
    argument_2: Tensor,
    argument_3: Tensor,
    argument_4: int,
    argument_5: int,
    argument_6: Tensor) -> Tensor:
    dropout_layer = self.dropout_layer
    layers = self.layers
    B = ops.prim.NumToTensor(torch.size(argument_1, 0))
    _76 = int(B)
    C = ops.prim.NumToTensor(torch.size(argument_1, 2))
    _77 = int(C)
    input = torch.reshape(torch.transpose(argument_1, 1, 2), [_76, _77, argument_4, argument_5])
    _78 = torch.flatten((layers).forward(input, ), 2)
    out = torch.contiguous(torch.transpose(_78, 1, 2))
    _79 = (dropout_layer).forward()
    return torch.add(argument_6, out)
