class EfficientMultiheadAttention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  attn : __torch__.torch.nn.modules.activation.___torch_mangle_103.MultiheadAttention
  proj_drop : __torch__.torch.nn.modules.dropout.___torch_mangle_104.Dropout
  dropout_layer : __torch__.mmcv.cnn.bricks.drop.___torch_mangle_105.DropPath
  sr : __torch__.mmcv.cnn.bricks.wrappers.___torch_mangle_106.Conv2d
  norm : __torch__.torch.nn.modules.normalization.___torch_mangle_107.LayerNorm
  def forward(self: __torch__.mmseg.models.backbones.mit.___torch_mangle_108.EfficientMultiheadAttention,
    argument_1: Tensor,
    argument_2: Tensor,
    argument_3: Tensor,
    argument_4: int,
    argument_5: int,
    argument_6: Tensor) -> Tensor:
    dropout_layer = self.dropout_layer
    proj_drop = self.proj_drop
    attn = self.attn
    norm = self.norm
    sr = self.sr
    B = ops.prim.NumToTensor(torch.size(argument_1, 0))
    _0 = int(B)
    C = ops.prim.NumToTensor(torch.size(argument_1, 2))
    _1 = int(C)
    input = torch.reshape(torch.transpose(argument_1, 1, 2), [_0, _1, argument_4, argument_5])
    _2 = torch.flatten((sr).forward(input, ), 2)
    input0 = torch.contiguous(torch.transpose(_2, 1, 2))
    _3 = (norm).forward(input0, )
    query = torch.transpose(argument_1, 0, 1)
    value = torch.transpose(_3, 0, 1)
    input1 = torch.transpose((attn).forward(query, value, ), 0, 1)
    _4 = (proj_drop).forward(input1, )
    _5 = (dropout_layer).forward()
    return torch.add(argument_6, _4)
