class TransformerEncoderLayer(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  norm1 : __torch__.torch.nn.modules.normalization.___torch_mangle_127.LayerNorm
  attn : __torch__.mmseg.models.backbones.mit.___torch_mangle_132.EfficientMultiheadAttention
  norm2 : __torch__.torch.nn.modules.normalization.___torch_mangle_133.LayerNorm
  ffn : __torch__.mmseg.models.backbones.mit.___torch_mangle_143.MixFFN
  def forward(self: __torch__.mmseg.models.backbones.mit.___torch_mangle_144.TransformerEncoderLayer,
    argument_1: Tensor,
    argument_2: Tensor,
    argument_3: Tensor,
    argument_4: int,
    argument_5: int) -> Tensor:
    ffn = self.ffn
    norm2 = self.norm2
    attn = self.attn
    norm1 = self.norm1
    _0 = (attn).forward((norm1).forward(argument_1, ), argument_1, )
    _1 = (ffn).forward((norm2).forward(_0, ), argument_2, argument_3, argument_4, argument_5, _0, )
    return _1
