class EfficientMultiheadAttention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  attn : __torch__.torch.nn.modules.activation.___torch_mangle_147.MultiheadAttention
  proj_drop : __torch__.torch.nn.modules.dropout.___torch_mangle_148.Dropout
  dropout_layer : __torch__.mmcv.cnn.bricks.drop.___torch_mangle_149.DropPath
  def forward(self: __torch__.mmseg.models.backbones.mit.___torch_mangle_150.EfficientMultiheadAttention,
    argument_1: Tensor,
    argument_2: Tensor) -> Tensor:
    dropout_layer = self.dropout_layer
    proj_drop = self.proj_drop
    attn = self.attn
    query = torch.transpose(argument_1, 0, 1)
    value = torch.transpose(argument_1, 0, 1)
    input = torch.transpose((attn).forward(query, value, ), 0, 1)
    _0 = (proj_drop).forward(input, )
    _1 = (dropout_layer).forward()
    return torch.add(argument_2, _0)
