class EncoderDecoder(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  backbone : __torch__.mmseg.models.backbones.mit.MixVisionTransformer
  decode_head : __torch__.mmseg.models.decode_heads.segformer_head.SegformerHead
  def forward(self: __torch__.mmseg.models.segmentors.encoder_decoder.EncoderDecoder,
    img: Tensor) -> Tensor:
    decode_head = self.decode_head
    conv_seg = decode_head.conv_seg
    decode_head0 = self.decode_head
    dropout = decode_head0.dropout
    decode_head1 = self.decode_head
    fusion_conv = decode_head1.fusion_conv
    decode_head2 = self.decode_head
    convs = decode_head2.convs
    _3 = getattr(convs, "3")
    decode_head3 = self.decode_head
    convs0 = decode_head3.convs
    _2 = getattr(convs0, "2")
    decode_head4 = self.decode_head
    convs1 = decode_head4.convs
    _1 = getattr(convs1, "1")
    decode_head5 = self.decode_head
    convs2 = decode_head5.convs
    _0 = getattr(convs2, "0")
    backbone = self.backbone
    _4, _5, _6, _7, = (backbone).forward(img, )
    _8 = (_0).forward(_4, )
    _9 = ops.prim.NumToTensor(torch.size(_4, 2))
    _10 = int(_9)
    _11 = ops.prim.NumToTensor(torch.size(_4, 3))
    _12 = torch.upsample_bilinear2d(_8, [_10, int(_11)], False, None)
    _13 = (_1).forward(_5, )
    _14 = ops.prim.NumToTensor(torch.size(_4, 2))
    _15 = int(_14)
    _16 = ops.prim.NumToTensor(torch.size(_4, 3))
    _17 = torch.upsample_bilinear2d(_13, [_15, int(_16)], False, None)
    _18 = (_2).forward(_6, )
    _19 = ops.prim.NumToTensor(torch.size(_4, 2))
    _20 = int(_19)
    _21 = ops.prim.NumToTensor(torch.size(_4, 3))
    _22 = torch.upsample_bilinear2d(_18, [_20, int(_21)], False, None)
    _23 = (_3).forward(_7, )
    _24 = ops.prim.NumToTensor(torch.size(_4, 2))
    _25 = int(_24)
    _26 = ops.prim.NumToTensor(torch.size(_4, 3))
    _27 = torch.upsample_bilinear2d(_23, [_25, int(_26)], False, None)
    input = torch.cat([_12, _17, _22, _27], 1)
    _28 = (dropout).forward((fusion_conv).forward(input, ), )
    _29 = (conv_seg).forward(_28, )
    _30 = ops.prim.NumToTensor(torch.size(img, 2))
    _31 = int(_30)
    _32 = ops.prim.NumToTensor(torch.size(img, 3))
    _33 = torch.upsample_bilinear2d(_29, [_31, int(_32)], False, None)
    return _33
