class MultiheadAttention(Module):
  __parameters__ = ["in_proj_weight", "in_proj_bias", ]
  __buffers__ = []
  in_proj_weight : Tensor
  in_proj_bias : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  out_proj : __torch__.torch.nn.modules.linear.___torch_mangle_11.NonDynamicallyQuantizableLinear
  def forward(self: __torch__.torch.nn.modules.activation.___torch_mangle_12.MultiheadAttention,
    query: Tensor,
    value: Tensor) -> Tensor:
    out_proj = self.out_proj
    bias = out_proj.bias
    out_proj0 = self.out_proj
    weight = out_proj0.weight
    in_proj_bias = self.in_proj_bias
    in_proj_weight = self.in_proj_weight
    tgt_len = ops.prim.NumToTensor(torch.size(query, 0))
    _0 = int(tgt_len)
    _1 = int(tgt_len)
    bsz = ops.prim.NumToTensor(torch.size(query, 1))
    _2 = int(bsz)
    embed_dim = ops.prim.NumToTensor(torch.size(query, 2))
    _3 = int(embed_dim)
    head_dim = torch.div(embed_dim, CONSTANTS.c0, rounding_mode="trunc")
    _4 = int(head_dim)
    _5 = int(head_dim)
    _6 = int(head_dim)
    E = ops.prim.NumToTensor(torch.size(query, -1))
    _7 = int(E)
    _8 = [int(E), int(torch.mul(E, CONSTANTS.c1))]
    _9 = torch.split_with_sizes(in_proj_weight, _8)
    weight0, weight1, = _9
    _10 = [_7, int(torch.mul(E, CONSTANTS.c1))]
    _11 = torch.split_with_sizes(in_proj_bias, _10)
    bias0, bias1, = _11
    q = torch.linear(query, weight0, bias0)
    _12 = torch.chunk(torch.linear(value, weight1, bias1), 2, -1)
    k, v, = _12
    q0 = torch.contiguous(q)
    _13 = [_1, int(torch.mul(bsz, CONSTANTS.c0)), _6]
    q1 = torch.transpose(torch.view(q0, _13), 0, 1)
    _14 = torch.contiguous(k)
    _15 = ops.prim.NumToTensor(torch.size(k, 0))
    _16 = [int(_15), int(torch.mul(bsz, CONSTANTS.c0)), _5]
    k0 = torch.transpose(torch.view(_14, _16), 0, 1)
    _17 = torch.contiguous(v)
    _18 = ops.prim.NumToTensor(torch.size(v, 0))
    _19 = [int(_18), int(torch.mul(bsz, CONSTANTS.c0)), _4]
    v0 = torch.transpose(torch.view(_17, _19), 0, 1)
    q2 = torch.div(q1, CONSTANTS.c2)
    input = torch.bmm(q2, torch.transpose(k0, -2, -1))
    attn = torch.softmax(input, -1)
    attn_output = torch.bmm(attn, v0)
    _20 = torch.contiguous(torch.transpose(attn_output, 0, 1))
    input0 = torch.view(_20, [_0, _2, _3])
    return torch.linear(input0, weight, bias)
