class TransformerEncoderLayer(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  norm1 : __torch__.torch.nn.modules.normalization.___torch_mangle_55.LayerNorm
  attn : __torch__.mmseg.models.backbones.mit.___torch_mangle_62.EfficientMultiheadAttention
  norm2 : __torch__.torch.nn.modules.normalization.___torch_mangle_63.LayerNorm
  ffn : __torch__.mmseg.models.backbones.mit.___torch_mangle_73.MixFFN
  def forward(self: __torch__.mmseg.models.backbones.mit.___torch_mangle_74.TransformerEncoderLayer,
    argument_1: Tensor,
    argument_2: Tensor,
    argument_3: Tensor,
    argument_4: int,
    argument_5: int,
    argument_6: int,
    argument_7: int) -> Tensor:
    ffn = self.ffn
    norm2 = self.norm2
    attn = self.attn
    norm1 = self.norm1
    _0 = (attn).forward((norm1).forward(argument_1, ), argument_2, argument_3, argument_4, argument_5, argument_1, )
    _1 = (ffn).forward((norm2).forward(_0, ), argument_2, argument_3, argument_6, argument_7, _0, )
    return _1
